#!/bin/sh
# $MBINS/hic-et-nunc4.sh
# Pour menu de micro-entreprise et date+heure dans menu pekwm ou ae. /
# For micro-business menu & date and time in a pekwm or ae menu.
#
# Utilise : / Uses: cal, date, replaceit, awk, rxvt, kill, rm.
#
#  Christian L'cuyer, Gatineau (Qc), Canada, 05 dc. 2018.
# (Alias musher0 [forum Puppy].) # Rv. :  venir / none yet.
# GPL3. # S.v.p. voir ci-dessous. / Please see below.
####
# Variables
unset DT;unset DEVISE

G="g 22x13-80+80"
COLR="tint black -tr -sh 70 -cr khaki1 -fg khaki1 -bg firebrick4"
FadE="fade 75 -fadecolor NavajoWhite2"
FNT="fn xft:Proc2:pixelsize=12:hinting=true:antialias=true"
# Petite fonte Proc2 fait sobre, mais est prcise et jolie. /
# Small Proc2 font is simple, but precise and pretty.

# Cration
EnTete="`cal | grep -vE [[:digit:]]`" # Jours de la semaine / Days of the week

# Langues / Languages
case "${LANG:0:2}" in
     fr) MO="Mois_courant"
     date "+  Le %d %b. %Y" > /tmp/$MO
     DEVISE="   Vivre au prsent "
     DT="`date \"+.................. Il est %R. ..................\"`" ;;

     en|*) MO="Current_Month"
     date "+   %b. %d %Y" > /tmp/$MO
     DEVISE="   Seize the day! "
     DT="`date \"+.................. It is %r. ..................\"`" ;;
esac
echo -e "\n\e[1;92m$EnTete\e[0m" >> /tmp/$MO

# Coussinage / Padding
TmP=/root/my-documents/tmp
MoiS="$TmP/mois.txt"
RPLCT="replaceit --input=$MoiS"
> $MoiS
cal | grep -vE [[:alpha:]] | tr " " ";" >> $MoiS
num="";for num in {1..9};do
     $RPLCT ";;$num" ";0$num";$RPLCT ";$num;" "0$num;"
done

i=1;for i in {1..7};do
     $RPLCT ";;;" " o ";i="$[$i+i]"
done
cat $MoiS | tr ";" " " | tr "o" "-" > $TmP/mois.txt2
echo . >> $TmP/mois.txt2

# Finition / Finishing touches
case "${LANG:0:2}" in
     fr) HrE="`date '+.. Il est %H h %M ..'`" ;;
     en|*) HrE="`date '+... It is %I:%M ...'`" ;;
esac
echo -e "\e[1;92m$HrE\n.\e[0m" >> $TmP/mois.txt2
awk NF $TmP/mois.txt2 >> /tmp/$MO

# Affichage / Display
rxvt -$FadE -$FNT -T "$MO" -$G +sb -$COLR -b 19 -e less -~ -r -R -J -L -p "`date \"+%d\"`" -P "$DEVISE" /tmp/$MO &

# Fermeture automatique / Pseudo-GUI window closes itself.
sleep 1
PsawK="`ps-FULL a | awk '$5 ~ /less/ && $NF ~ /courant/ { print $1 }'`"
# echo "$PsawK"
sleep 20s
kill  "$PsawK" &>/dev/null &

# Nettoyage / Clean-up
rm -f /tmp/mois*;rm -f /tmp/$MO
rm -f $TmP/mois.txt2;rm -f $MoiS
#### 30 ####
exit

#####################
Suggested lines in an aemenu --
TitrE="`date '+_%a. %d %b., %R_'`"
cmd \" <span rise='-12000' font='$Caract Bold $SizE' underline='double'><span color='$ColoR'><i>$TitrE</i></span></span>\" /opt/local/bin/hic-et-nunc4.sh

#################
Licence --  # https://opensource.org/licenses/GPL-3.0
This program is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or  (at your option) any later version.
     This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License
for more details.
     You should have received a copy of the GNU General Public License along
with this program. If not, see <http://www.gnu.org/licenses/>.
##########
Ce programme est libre : vous pouvez le redistribuer ou le modifier selon les
termes de la Licence Publique Gnrale GNU publie par la Free Software
Foundation version 3 ou ultrieure,  votre choix.
    Ce programme est distribu dans l'espoir qu'il sera utile, mais SANS
GARANTIE, ni explicite ni implicite, dont celles de commercialisation ou
d'adaptation  un but prcis.  Pour plus de dtails, on se reportera au
texte officiel  https://opensource.org/licenses/GPL-3.0,  sa traduction
 http://www.linux-france.org/article/these/gpl.html et, pour une explication
en franais,  https://fr.wikipedia.org/wiki/Licence_publique_gnrale_GNU.
################
